wifi-radar crashed with SyntaxError in read()

Bug #414399 reported by Ulsak on 2009-08-16
This bug affects 415 people
Affects Status Importance Assigned to Milestone
wifi-radar (Ubuntu)
Undecided
Unassigned
Declined for Dapper by C de-Avillez
Nominated for Karmic by francesco

Bug Description

Binary package hint: wifi-radar

Description: Ubuntu karmic (development branch)

2. wifi-radar 2.0.s05-1

3. expected nothing but quitness ( I haven't used it actively yet)

4. This Crash Report was generated

DistroRelease: Ubuntu 9.10

WORKAROUND: This issue seems to be caused by changes from the WR configuration from 1.9.x to 2.x. To bypass:

1. stop wifi-radar;
2. save current /etc/wifi-radar.conf: sudo mv /etc/wifi-radar.conf /etc/wifi-radar.conf.saved
3. restart wifi-radar (either via the menu, or via 'sudo wifi-radar'

Ulsak (jari-saarelainen) wrote :
tags: removed: need-duplicate-check
visibility: private → public
Sean Robinson (seankrobinson) wrote :

As I am unable to access the original bug to comment there, I will respond to this duplicate. I believe all of these reports are caused by a WR v1.9.9 configuration file being read. The configuration file format changed from v1.9.9 to v2.0.x and it is not backward compatible. As this error message indicates no configured profiles in the config file, delete /etc/wifi-radar/wifi-radar.conf and run WR again.

Sean Robinson (seankrobinson) wrote :

I'm converting this bug report to be the public parent for the "SyntaxError in read()" error.

Changed in wifi-radar (Ubuntu):
assignee: nobody → Sean Robinson (seankrobinson)
status: New → Confirmed
OTHman (amir963ma) wrote :

that work for me, thanks

Utz (utz-recke) wrote :

that worked, thanks

Ron Widell (r-widell) wrote :

Not only does the config file not exist on my system, neither does the parent directory (/etc/wifi-radar).
Do I need to create this directory?

ron

Flash (cyrille-gordon) wrote :

Worked for me :
Deleting /etc/wifi-radar.conf
Lauching Wifi-Radar

thanks

Cool!
That's the way! :)

Thanks guys!

2009/10/30 Flash <email address hidden>:
> Worked for me :
> Deleting /etc/wifi-radar.conf
> Lauching Wifi-Radar
>
> thanks
>
> --
> wifi-radar crashed with  SyntaxError in read()
> https://bugs.launchpad.net/bugs/414399
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Darkelvenangel (darkelvenangel) wrote :

This also worked for me,

  delete the file /etc/wifi-radar.conf
  restart the wifi-radar daemon

  seems to be working.

me, too, deleting /etc/wifi-radar.conf works.

xavier (xavier-pujol) wrote :

I've deleted /etc/wifi-radar.conf and NOT work
I've made 'sudo wifi-radar' and works fine.
I've made 'sudo chmod 666 /etc/wifi-radar.conf' and NOT work.

Harald (hdmuell) wrote :

I didn't notice the crash, before the crash report icon came up

Rick (rickledford) wrote :

did not find /etc/wifi-radar/wifi-radar.conf
did find /etc/wifi-radar.conf
deleted /etc/wifi-radar.conf
restarted wifi-radar
it works!!
Ubuntu 64.
Good.

AlexanderFinch (gastrobot) wrote :

alexander@alexander:~$ mv /etc/wifi-radar.conf /etc/wifi-radar.conf.bak
mv: cannot move `/etc/wifi-radar.conf' to `/etc/wifi-radar.conf.bak': Permission denied
alexander@alexander:~$ sudo mv /etc/wifi-radar.conf /etc/wifi-radar.conf.bak
[sudo] password for alexander:
alexander@alexander:~$ wifi-radar
Traceback (most recent call last):
  File "/usr/sbin/wifi-radar", line 3392, in <module>
    fileLogHandler = logging.handlers.RotatingFileHandler(confFile.get_opt('DEFAULT.logfile'), maxBytes=64*1024, backupCount=5)
  File "/usr/lib/python2.6/logging/handlers.py", line 107, in __init__
    BaseRotatingHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib/python2.6/logging/handlers.py", line 59, in __init__
    logging.FileHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib/python2.6/logging/__init__.py", line 819, in __init__
    StreamHandler.__init__(self, self._open())
  File "/usr/lib/python2.6/logging/__init__.py", line 838, in _open
    stream = open(self.baseFilename, self.mode)
IOError: [Errno 13] Permission denied: '/var/log/wifi-radar.log'
alexander@alexander:~$ sudo mv /etc/wifi-radar.conf.bak /etc/wifi-radar.conf

Rick (rickledford) wrote :

To AlesanderFinch:
with wifi-radar.conf removed:
~$ sudo wifi-radar

or launch from the menu

AlexanderFinch (gastrobot) wrote :

That worked. Thank you. :)

On Sun, Nov 1, 2009 at 6:01 AM, Rick <email address hidden> wrote:

> To AlesanderFinch:
> with wifi-radar.conf removed:
> ~$ sudo wifi-radar
>
> or launch from the menu
>
> --
> wifi-radar crashed with SyntaxError in read()
> https://bugs.launchpad.net/bugs/414399
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “wifi-radar” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: wifi-radar
>
> 1. LSB Version:
> Description: Ubuntu karmic (development branch)
> Release: 9.10
> Codename: karmic
>
> 2. wifi-radar 2.0.s05-1
>
> 3. expected nothing but quitness ( I haven't used it actively yet)
>
> 4. This Crash Report was generated
>
> ProblemType: Crash
> Architecture: i386
> Date: Sun Aug 16 13:53:41 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/sbin/wifi-radar
> InterpreterPath: /usr/bin/python2.6
> NonfreeKernelModules: wl
> Package: wifi-radar 2.0.s05-1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python -OO /usr/sbin/wifi-radar -d
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> PythonArgs: ['/usr/sbin/wifi-radar', '-d']
> SourcePackage: wifi-radar
> Title: wifi-radar crashed with SyntaxError in read()
> Uname: Linux 2.6.31-5-generic i686
> UserGroups:
>

proxygeek (proxygeek) wrote :

Deleting the /etc/wifi-radar.conf and restarting the app solved the problem for me as well. Thanks everyone :)

MadhuKrishna (ymadhukrishna) wrote :

Worked for me too. Thanks and Every one !!

On Sun, Nov 1, 2009 at 8:23 PM, proxygeek <email address hidden> wrote:

> Deleting the /etc/wifi-radar.conf and restarting the app solved the
> problem for me as well. Thanks everyone :)
>
> --
> wifi-radar crashed with SyntaxError in read()
> https://bugs.launchpad.net/bugs/414399
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “wifi-radar” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: wifi-radar
>
> 1. LSB Version:
> Description: Ubuntu karmic (development branch)
> Release: 9.10
> Codename: karmic
>
> 2. wifi-radar 2.0.s05-1
>
> 3. expected nothing but quitness ( I haven't used it actively yet)
>
> 4. This Crash Report was generated
>
> ProblemType: Crash
> Architecture: i386
> Date: Sun Aug 16 13:53:41 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/sbin/wifi-radar
> InterpreterPath: /usr/bin/python2.6
> NonfreeKernelModules: wl
> Package: wifi-radar 2.0.s05-1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python -OO /usr/sbin/wifi-radar -d
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> PythonArgs: ['/usr/sbin/wifi-radar', '-d']
> SourcePackage: wifi-radar
> Title: wifi-radar crashed with SyntaxError in read()
> Uname: Linux 2.6.31-5-generic i686
> UserGroups:
>

Kudak Victor (vkudak) wrote :

Thanks it's working!

Thank you It works now

description: updated
Shawn Stewart (sstewart) wrote :

Thank you. Removing the .conf file and restarting worked.

Tiago Ramos (tiagolramos) wrote :

The "auto_profile_order = " should be "auto_profile_order = []" if the file is deleted the new created conf file is correct

BEFORE DELETE

[DEFAULT]
ifup_required = False
auto_profile_order =
speak_up = False
scan_timeout = 5
interface = auto_detect
commit_required = False

AFTER DELETE

[DEFAULT]
auto_profile_order = []
commit_required = False
ifconfig_command = /sbin/ifconfig
ifup_required = False
interface = auto_detect
iwconfig_command = /sbin/iwconfig
iwlist_command = /sbin/iwlist
logfile = /var/log/wifi-radar.log
loglevel = 50
route_command = /sbin/route
speak_command = /usr/bin/say
speak_up = False
version = 2.0.s05

[DHCP]
args = -D -o -i dhcp_client -t %(timeout)s
command = /sbin/dhcpcd
kill_args = -k
pidfile = /etc/dhcpc/dhcpcd-%(interface)s.pid
timeout = 30

[WPA]
args = -B -i %(interface)s -c %(configuration)s -D %(driver)s -P %(pidfile)s
command = /usr/sbin/wpa_supplicant
configuration = /etc/wpa_supplicant.conf
driver = wext
kill_command =
pidfile = /var/run/wpa_supplicant.pid

 <email address hidden>
Content-Type: text/plain; charset="Windows-1252"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0

thanks for your info..=20
But i dont know how too fix it

----------------------------------------
> Date: Tue=2C 3 Nov 2009 15:11:16 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 414399] Re: wifi-radar crashed with SyntaxError in read()
>
> The "auto_profile_order =3D " should be "auto_profile_order =3D []" if th=
e
> file is deleted the new created conf file is correct
>
> BEFORE DELETE
>
> [DEFAULT]
> ifup_required =3D False
> auto_profile_order =3D
> speak_up =3D False
> scan_timeout =3D 5
> interface =3D auto_detect
> commit_required =3D False
>
>
> AFTER DELETE
>
> [DEFAULT]
> auto_profile_order =3D []
> commit_required =3D False
> ifconfig_command =3D /sbin/ifconfig
> ifup_required =3D False
> interface =3D auto_detect
> iwconfig_command =3D /sbin/iwconfig
> iwlist_command =3D /sbin/iwlist
> logfile =3D /var/log/wifi-radar.log
> loglevel =3D 50
> route_command =3D /sbin/route
> speak_command =3D /usr/bin/say
> speak_up =3D False
> version =3D 2.0.s05
>
> [DHCP]
> args =3D -D -o -i dhcp_client -t %(timeout)s
> command =3D /sbin/dhcpcd
> kill_args =3D -k
> pidfile =3D /etc/dhcpc/dhcpcd-%(interface)s.pid
> timeout =3D 30
>
> [WPA]
> args =3D -B -i %(interface)s -c %(configuration)s -D %(driver)s -P %(pidf=
ile)s
> command =3D /usr/sbin/wpa_supplicant
> configuration =3D /etc/wpa_supplicant.conf
> driver =3D wext
> kill_command =3D
> pidfile =3D /var/run/wpa_supplicant.pid
>
> --
> wifi-radar crashed with SyntaxError in read()
> https://bugs.launchpad.net/bugs/414399
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in =93wifi-radar=94 package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: wifi-radar
>
> 1. LSB Version:
> Description: Ubuntu karmic (development branch)
> Release: 9.10
> Codename: karmic
>
> 2. wifi-radar 2.0.s05-1
>
> 3. expected nothing but quitness ( I haven't used it actively yet)
>
> 4. This Crash Report was generated
>
> ProblemType: Crash
> Architecture: i386
> Date: Sun Aug 16 13:53:41 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/sbin/wifi-radar
> InterpreterPath: /usr/bin/python2.6
> NonfreeKernelModules: wl
> Package: wifi-radar 2.0.s05-1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python -OO /usr/sbin/wifi-radar -d
> ProcEnviron: PATH=3D(custom=2C no user)
> ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> PythonArgs: ['/usr/sbin/wifi-radar'=2C '-d']
> SourcePackage: wifi-radar
> Title: wifi-radar crashed with SyntaxError in read()
> Uname: Linux 2.6.31-5-generic i686
> UserGroups:
>
>
           =20
_________________________________________________________________
Windows 7: Se direkte-TV fra den b=E6rbare PCen. Finn ut mer.
http://windows.microsoft.com/windows-7=

  While you are correct that the particular error (SyntaxError in read())
can be fixed by your change, other things in the config file have been
re-organized and WR 1.9.9 config files are not read correctly by WR 2.0.s05.

  Because this error message indicates that no AP profiles are configured,
it should be safe to delete the file. If you want to be extra cautious,
move the old config file to a new location and restart WiFi Radar.

On Tue, Nov 3, 2009 at 8:11 AM, Tiago Ramos <email address hidden> wrote:

> The "auto_profile_order = " should be "auto_profile_order = []" if the
> file is deleted the new created conf file is correct
>
> BEFORE DELETE
>
> [DEFAULT]
> ifup_required = False
> auto_profile_order =
> speak_up = False
> scan_timeout = 5
> interface = auto_detect
> commit_required = False
>
>
> AFTER DELETE
>
> [DEFAULT]
> auto_profile_order = []
> commit_required = False
> ifconfig_command = /sbin/ifconfig
> ifup_required = False
> interface = auto_detect
> iwconfig_command = /sbin/iwconfig
> iwlist_command = /sbin/iwlist
> logfile = /var/log/wifi-radar.log
> loglevel = 50
> route_command = /sbin/route
> speak_command = /usr/bin/say
> speak_up = False
> version = 2.0.s05
>
> [DHCP]
> args = -D -o -i dhcp_client -t %(timeout)s
> command = /sbin/dhcpcd
> kill_args = -k
> pidfile = /etc/dhcpc/dhcpcd-%(interface)s.pid
> timeout = 30
>
> [WPA]
> args = -B -i %(interface)s -c %(configuration)s -D %(driver)s -P
> %(pidfile)s
> command = /usr/sbin/wpa_supplicant
> configuration = /etc/wpa_supplicant.conf
> driver = wext
> kill_command =
> pidfile = /var/run/wpa_supplicant.pid
>
> --
> wifi-radar crashed with SyntaxError in read()
> https://bugs.launchpad.net/bugs/414399
> You received this bug notification because you are a bug assignee.
>
> Status in “wifi-radar” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: wifi-radar
>
> 1. LSB Version:
> Description: Ubuntu karmic (development branch)
> Release: 9.10
> Codename: karmic
>
> 2. wifi-radar 2.0.s05-1
>
> 3. expected nothing but quitness ( I haven't used it actively yet)
>
> 4. This Crash Report was generated
>
> ProblemType: Crash
> Architecture: i386
> Date: Sun Aug 16 13:53:41 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/sbin/wifi-radar
> InterpreterPath: /usr/bin/python2.6
> NonfreeKernelModules: wl
> Package: wifi-radar 2.0.s05-1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python -OO /usr/sbin/wifi-radar -d
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> PythonArgs: ['/usr/sbin/wifi-radar', '-d']
> SourcePackage: wifi-radar
> Title: wifi-radar crashed with SyntaxError in read()
> Uname: Linux 2.6.31-5-generic i686
> UserGroups:
>
>
>

--
Sean Robinson
WiFi Radar - http://wifi-radar.berlios.de
Python WiFi - http://pythonwifi.wikispot.org

Shawn Stewart (sstewart) wrote :
Download full text (4.6 KiB)

Thank you for your reply. I have deleted the config file and restarted WR
and it starts fine; however, I haven't tested to see if it will receive
anything yet, as I'm plugged directly into a wired modem. That's okay at
present, since I istalled WR for when I do not have that option. It worked
great when I installed it, so I have no complaints. You folks have done a
great job. Thanks again for the reply.

On Tue, Nov 3, 2009 at 5:54 PM, Sean Robinson <email address hidden>wrote:

> While you are correct that the particular error (SyntaxError in read())
> can be fixed by your change, other things in the config file have been
> re-organized and WR 1.9.9 config files are not read correctly by WR
> 2.0.s05.
>
> Because this error message indicates that no AP profiles are configured,
> it should be safe to delete the file. If you want to be extra cautious,
> move the old config file to a new location and restart WiFi Radar.
>
> On Tue, Nov 3, 2009 at 8:11 AM, Tiago Ramos <email address hidden>
> wrote:
>
> > The "auto_profile_order = " should be "auto_profile_order = []" if the
> > file is deleted the new created conf file is correct
> >
> > BEFORE DELETE
> >
> > [DEFAULT]
> > ifup_required = False
> > auto_profile_order =
> > speak_up = False
> > scan_timeout = 5
> > interface = auto_detect
> > commit_required = False
> >
> >
> > AFTER DELETE
> >
> > [DEFAULT]
> > auto_profile_order = []
> > commit_required = False
> > ifconfig_command = /sbin/ifconfig
> > ifup_required = False
> > interface = auto_detect
> > iwconfig_command = /sbin/iwconfig
> > iwlist_command = /sbin/iwlist
> > logfile = /var/log/wifi-radar.log
> > loglevel = 50
> > route_command = /sbin/route
> > speak_command = /usr/bin/say
> > speak_up = False
> > version = 2.0.s05
> >
> > [DHCP]
> > args = -D -o -i dhcp_client -t %(timeout)s
> > command = /sbin/dhcpcd
> > kill_args = -k
> > pidfile = /etc/dhcpc/dhcpcd-%(interface)s.pid
> > timeout = 30
> >
> > [WPA]
> > args = -B -i %(interface)s -c %(configuration)s -D %(driver)s -P
> > %(pidfile)s
> > command = /usr/sbin/wpa_supplicant
> > configuration = /etc/wpa_supplicant.conf
> > driver = wext
> > kill_command =
> > pidfile = /var/run/wpa_supplicant.pid
> >
> > --
> > wifi-radar crashed with SyntaxError in read()
> > https://bugs.launchpad.net/bugs/414399
> > You received this bug notification because you are a bug assignee.
> >
> > Status in “wifi-radar” package in Ubuntu: Confirmed
> >
> > Bug description:
> > Binary package hint: wifi-radar
> >
> > 1. LSB Version:
> > Description: Ubuntu karmic (development branch)
> > Release: 9.10
> > Codename: karmic
> >
> > 2. wifi-radar 2.0.s05-1
> >
> > 3. expected nothing but quitness ( I haven't used it actively yet)
> >
> > 4. This Crash Report was generated
> >
> > ProblemType: Crash
> > Architecture: i386
> > Date: Sun Aug 16 13:53:41 2009
> > DistroRelease: Ubuntu 9.10
> > ExecutablePath: /usr/sbin/wifi-radar
> > InterpreterPath: /usr/bin/python2.6
> > NonfreeKernelModules: wl
> > Package: wifi-radar 2.0.s05-1
> > PackageArchitecture: all
> > ProcCmdline: /usr/bin/python -OO /usr/sbin/wifi-radar -d
> > ProcEnviron: PATH=(custom, no user)
> > ProcVersionSignature: ...

Read more...

Alan Murray (amurra01) wrote :

Deleting /etc/wifi-radar.conf worked great for me. Thanks.

Josh (satish-joshi) wrote :

That worked for me. Thanks

Bill Milman (bill-milman) wrote :

Deleting /etc/wifi-radar.conf worked great for me. Thanks.

 <email address hidden>
Content-Type: text/plain; charset="Windows-1252"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0

This file dont want to be delited=2C

What do i have to do for delite it?

----------------------------------------
> Date: Fri=2C 6 Nov 2009 15:19:27 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 414399] Re: wifi-radar crashed with SyntaxError in read()
>
> Deleting /etc/wifi-radar.conf worked great for me. Thanks.
>
> --
> wifi-radar crashed with SyntaxError in read()
> https://bugs.launchpad.net/bugs/414399
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in =93wifi-radar=94 package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: wifi-radar
>
> 1. LSB Version:
> Description: Ubuntu karmic (development branch)
> Release: 9.10
> Codename: karmic
>
> 2. wifi-radar 2.0.s05-1
>
> 3. expected nothing but quitness ( I haven't used it actively yet)
>
> 4. This Crash Report was generated
>
> ProblemType: Crash
> Architecture: i386
> Date: Sun Aug 16 13:53:41 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/sbin/wifi-radar
> InterpreterPath: /usr/bin/python2.6
> NonfreeKernelModules: wl
> Package: wifi-radar 2.0.s05-1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python -OO /usr/sbin/wifi-radar -d
> ProcEnviron: PATH=3D(custom=2C no user)
> ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> PythonArgs: ['/usr/sbin/wifi-radar'=2C '-d']
> SourcePackage: wifi-radar
> Title: wifi-radar crashed with SyntaxError in read()
> Uname: Linux 2.6.31-5-generic i686
> UserGroups:
>
>
           =20
_________________________________________________________________
Windows Live=99 Mail. Flere kontoer p=E5 ett sted.
http://download.live.com/wlmail=

Rick (rickledford) wrote :

sudo rm /etc/wifi-radar.conf

On Fri, 2009-11-06 at 20:39 +0000, Rune Lillehammer wrote:
> <email address hidden>
> Content-Type: text/plain; charset="Windows-1252"
> Content-Transfer-Encoding: quoted-printable
> MIME-Version: 1.0
>
>
> This file dont want to be delited=2C
>
> What do i have to do for delite it?
>
>
> ----------------------------------------
> > Date: Fri=2C 6 Nov 2009 15:19:27 +0000
> > From: <email address hidden>
> > To: <email address hidden>
> > Subject: [Bug 414399] Re: wifi-radar crashed with SyntaxError in read()
> >
> > Deleting /etc/wifi-radar.conf worked great for me. Thanks.
> >
> > --
> > wifi-radar crashed with SyntaxError in read()
> > https://bugs.launchpad.net/bugs/414399
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in =93wifi-radar=94 package in Ubuntu: Confirmed
> >
> > Bug description:
> > Binary package hint: wifi-radar
> >
> > 1. LSB Version:
> > Description: Ubuntu karmic (development branch)
> > Release: 9.10
> > Codename: karmic
> >
> > 2. wifi-radar 2.0.s05-1
> >
> > 3. expected nothing but quitness ( I haven't used it actively yet)
> >
> > 4. This Crash Report was generated
> >
> > ProblemType: Crash
> > Architecture: i386
> > Date: Sun Aug 16 13:53:41 2009
> > DistroRelease: Ubuntu 9.10
> > ExecutablePath: /usr/sbin/wifi-radar
> > InterpreterPath: /usr/bin/python2.6
> > NonfreeKernelModules: wl
> > Package: wifi-radar 2.0.s05-1
> > PackageArchitecture: all
> > ProcCmdline: /usr/bin/python -OO /usr/sbin/wifi-radar -d
> > ProcEnviron: PATH=3D(custom=2C no user)
> > ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> > PythonArgs: ['/usr/sbin/wifi-radar'=2C '-d']
> > SourcePackage: wifi-radar
> > Title: wifi-radar crashed with SyntaxError in read()
> > Uname: Linux 2.6.31-5-generic i686
> > UserGroups:
> >
> >
> =20
> _________________________________________________________________
> Windows Live=99 Mail. Flere kontoer p=E5 ett sted.
> http://download.live.com/wlmail=
>

Tom Pino (metalsmith-rangeweb) wrote :

On a 64bit version on desktop box.

Beats me, no wifi on here.

I've been using 9.10 for half a year without any problems. Today I upgraded to 10.4 beta2, and when I rebooted the laptop after the install and signed in, and this occurred. I had my PCMCIA wifi-card inserted, it found and connected to my home WLAN, and then I got the info about a crash in the application. I tried to submit the automated bug report, but it seems that Launchpad didn't include it when I selected that this is the same bug (the automatic title was exactly the same).

Sean Robinson (seankrobinson) wrote :

@Sampo Niskanen

Are you utilizing WiFi Radar? I believe you are really using Network Manager for your wireless connections. So, you could probably uninstall WiFi Radar.

C de-Avillez (hggdh2) wrote :

@Sean Robinson: are you working on a fix for this? If not, please unassign yourself from the bug -- nobody will touch it while you are assigned to it ;-)

Thanks

description: updated
description: updated
sanjiv (bhave11) wrote :
Download full text (3.5 KiB)

Thank you for letting me know. No, I am not working on it. Please feel
free to fix it.

--------------------------------------------------
From: "C de-Avillez" <email address hidden>
Sent: Monday, May 03, 2010 1:48 PM
To: <email address hidden>
Subject: [Bug 414399] Re: wifi-radar crashed with SyntaxError in read()

> @Sean Robinson: are you working on a fix for this? If not, please
> unassign yourself from the bug -- nobody will touch it while you are
> assigned to it ;-)
>
> Thanks
>
> ** Description changed:
>
> Binary package hint: wifi-radar
>
> - 1. LSB Version:
> +
> Description: Ubuntu karmic (development branch)
> - Release: 9.10
> - Codename: karmic
>
> 2. wifi-radar 2.0.s05-1
>
> 3. expected nothing but quitness ( I haven't used it actively yet)
>
> 4. This Crash Report was generated
>
> - ProblemType: Crash
> - Architecture: i386
> - Date: Sun Aug 16 13:53:41 2009
> +
> DistroRelease: Ubuntu 9.10
> - ExecutablePath: /usr/sbin/wifi-radar
> - InterpreterPath: /usr/bin/python2.6
> - NonfreeKernelModules: wl
> - Package: wifi-radar 2.0.s05-1
> - PackageArchitecture: all
> - ProcCmdline: /usr/bin/python -OO /usr/sbin/wifi-radar -d
> - ProcEnviron: PATH=(custom, no user)
> - ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> - PythonArgs: ['/usr/sbin/wifi-radar', '-d']
> - SourcePackage: wifi-radar
> - Title: wifi-radar crashed with SyntaxError in read()
> - Uname: Linux 2.6.31-5-generic i686
> - UserGroups:
> +
> + WORKAROUND: This issue seems to be caused by changes from the WR
> + configuration from 1.9.x to 2.x. To bypass:
> +
> + 1. stop wifi-radar;
> + save current /etc/wifi-radar.conf: sudo mv /etc/wifi-radar.conf
> /etc/wifi-radar.conf.saved
> + 2. restart wifi-radar (either via the menu, or via 'sudo wifi-radar'
>
> ** Description changed:
>
> Binary package hint: wifi-radar
>
> -
> - Description: Ubuntu karmic (development branch)
> + Description: Ubuntu karmic (development branch)
>
> 2. wifi-radar 2.0.s05-1
>
> 3. expected nothing but quitness ( I haven't used it actively yet)
>
> 4. This Crash Report was generated
>
> -
> DistroRelease: Ubuntu 9.10
>
> WORKAROUND: This issue seems to be caused by changes from the WR
> configuration from 1.9.x to 2.x. To bypass:
>
> - 1. stop wifi-radar;
> - save current /etc/wifi-radar.conf: sudo mv /etc/wifi-radar.conf
> /etc/wifi-radar.conf.saved
> - 2. restart wifi-radar (either via the menu, or via 'sudo wifi-radar'
> + 1. stop wifi-radar;
> + 2. save current /etc/wifi-radar.conf: sudo mv /etc/wifi-radar.conf
> /etc/wifi-radar.conf.saved
> + 3. restart wifi-radar (either via the menu, or via 'sudo wifi-radar'
>
> --
> wifi-radar crashed with SyntaxError in read()
> https://bugs.launchpad.net/bugs/414399
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “wifi-radar” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: wifi-radar
>
> Description: Ubuntu karmic (development branch)
>
> 2. wifi-radar 2.0.s05-1
>
> 3. expected nothing but quitness ( I haven't used it actively yet)
>
> 4. This Crash Report was generated
>
> DistroRelease: Ubuntu 9.10
>
> WORKAROUND: This issue seems to be caused by...

Read more...

Sean Robinson (seankrobinson) wrote :

Removing myself as assignee for Ubuntu.

Changed in wifi-radar (Ubuntu):
assignee: Sean Robinson (seankrobinson) → nobody
Sean Robinson (seankrobinson) wrote :

Errors related to old config files are caught and explained in upstream version 2.0.s06.

Jalakas (jalakas) on 2012-05-04
Changed in wifi-radar (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments